Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputInvoice

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInvoice

Direct Known Subclasses:
  `TdApi.InputInvoiceMessage`, `TdApi.InputInvoiceName`, `TdApi.InputInvoiceTelegram`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputInvoice extends TdApi.Object permits TdApi.InputInvoiceMessage, TdApi.InputInvoiceName, TdApi.InputInvoiceTelegram
This class is an abstract base class. Describes an invoice to process.

## Constructor Summary

Constructors
Constructor
Description
`InputInvoice()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputInvoice

public InputInvoice()
Default class constructor.